<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
</head>

<body>

    <script>
        const arr = [1, 2, 3, 4, 5, 6]
        const [x, ...y] = arr
        console.log(x); // 1
        console.log(y); // [2, 3, 4, 5, 6]


        const usuario = {
            nome: 'Diego',
            idade: 23,
            endereco: {
                cidade: 'Rio do Sul',
                uf: 'SC',
                pais: 'Brasil',
            }
        };

        const usuario2 = {...usuario , nome:'Gabriel'}
        console.log(usuario2);
        const usuario3 = {...usuario , endereco:{cidade:'Lontras'}}
        console.log(usuario3);
        
    </script>
</body>

</html>